Bug 193272

Summary: [NEW PORT] games/xboard-devel: Slave of games/xboard with H.G.Muller’s version
Product: Ports & Packages Reporter: Kalten <kalten>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: johans
Priority: --- Keywords: needs-qa, patch
Version: Latest   
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=193271
Bug Depends on: 193271    
Bug Blocks:    
Attachments:
Description Flags
games/xboard-devel: ShellArchive
none
log: poudriere testport output
none
log: make.* output
none
games/xboard-devel: ShellArchive {v2}
none
log: make.* output {v2}
none
log: poudriere testport output {v2} none

Description Kalten 2014-09-03 02:53:59 UTC
As Johan van Selst has suggested in Bug 192903 Comment 4 I have decided
to prepare a games/xboard-devel port.

(See attached file “xboard-devel.shar”)

It is a slave port of games/xboard (in new version of Bug 193271)
keeping up to date (as I hope) with the version of H.G.Muller at
http://hgm.nubati.net/cgi-bin/gitweb.cgi/xboard.git as he seems to
be the main maintainer correcting problems and adding features often
whereas releases of xboard seem to be quite seldom.

Once again the distfile lies on my little server (please do mirror it)
as loading down snapshots from the URL above lead to different check
sums as the date of the *.tar inside the *.gz changes every time one
takes a snapshot.

(As mentioned in  Bug 192903 Comment 0 something explanation to the
versioning system—adapted to the new version)

* PORTVERSION from 4.7.3 to 4.7.3..20140901.1 (it seems not to be 4.7.4
  yet, “20140901.1” means that the git-version is from 2014-09-01 and is
  the second commit on this day—I hope, it will help, so that the ports
  system still knows, which version is the older one by using such a
  system)

The rest should be quite easy to understand—if not: do not hesitate to
ask! ;-)

---

The compile logs (poudriere as well as some make construct) will follow
shortly there after in this bug report.

Regards,
 Kalten
Comment 1 Kalten 2014-09-03 02:55:13 UTC
Created attachment 146704 [details]
games/xboard-devel: ShellArchive
Comment 2 Kalten 2014-09-03 03:04:37 UTC
Created attachment 146707 [details]
log: poudriere testport output
Comment 3 Kalten 2014-09-03 03:05:29 UTC
Created attachment 146708 [details]
log: make.* output

setenv DEVELOPER yes; make clean; make stage && make check-plist && make stage-qa && make package
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-06 03:40:55 UTC
Initial review items:

 * Empty PORTREVISION=, remove
 * Empty PORTEPOCH=, remove
 * Missing COMMENT ?

Additionally:

Please run this through portlint -AC, and attach its output after addressing any oustanding issues.

Pending patch update and portlint output to progress
Comment 5 Kalten 2014-09-10 19:22:17 UTC
Created attachment 147191 [details]
games/xboard-devel: ShellArchive  {v2}

As requested by Kubilay Kocak in Comment 4, I did use »portlint -AC« too.

Now there are new files:
A new patch superseding the old one. There will follow new logs (after this
comment).

* it is a real slave port now (see Bug 193271 Comment 6 with new version too)
* I fear, I had not made this clear enough: This bug is blocked by Bug 193271
  but I had not noticed the mechanism on top of a bug page with “Blocks:” and
  “Depends on:”—sorry for that! I have used it now.

And now the output of »portlint -AC« with comments:
------------------------------------------------------------------------
> WARN: Makefile: ZIPPY is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MZIPPY appears.
> WARN: Makefile: SOX is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MSOX appears.
> WARN: Makefile: ALSA is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MALSA appears.
> WARN: Makefile: XAW is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MXAW appears.
> WARN: Makefile: XAW3D is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MXAW3D appears.
> WARN: Makefile: GTK2 is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MGTK2 appears.
> WARN: Makefile: FAIRYMAX is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MFAIRYMAX appears.
> WARN: Makefile: CRAFTY is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MCRAFTY appears.
> WARN: Makefile: GNUCHESS is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MGNUCHESS appears.
> WARN: Makefile: KNIGHTCAP is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MKNIGHTCAP appears.
> WARN: Makefile: PHALANX is listed in OPTIONS_DEFINE, but no PORT_OPTIONS:MPHALANX appears.
They are included from games/xboard/Makefile and portlint(1) portlint does not check there.

> WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
It is done in the included games/xboard/Makefile and portlint(1) portlint does not check there.

> WARN: Makefile: possible direct use of "files" "PATCHDIR=	${.CURDIR}/files" found. if so, use ${FILESDIR} instead.
We have to set the directory for the patches for the games/xboard-devel as
we must not use the directory of the master port, I think it is correct
like this. Changing FILESDIR instead of PATCHDIR does not work.

> WARN: Makefile: new ports should not set PORTREVISION.
> WARN: Makefile: new ports should not set PORTEPOCH.
As slave it has to overwrite all these.

> WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
No, we are a devel port, I think, it is OK.

> 0 fatal errors and 16 warnings found.
------------------------------------------------------------------------

I hope it is quite OK now.
Thank you,
 Kalten
Comment 6 Kalten 2014-09-10 19:26:17 UTC
Created attachment 147192 [details]
log: make.* output {v2}

setenv DEVELOPER yes; make clean; make stage && make check-plist && make stage-qa && make package
Comment 7 Kalten 2014-09-10 19:26:53 UTC
Created attachment 147193 [details]
log: poudriere testport output  {v2}
Comment 8 commit-hook freebsd_committer 2014-09-11 20:02:10 UTC
A commit references this bug:

Author: johans
Date: Thu Sep 11 20:01:27 UTC 2014
New revision: 367971
URL: http://svnweb.freebsd.org/changeset/ports/367971

Log:
  New port: games/xboard-devel

  Created as a slave port of games/xboard
  X frontend for playing chess games, supporting several engines

  It is keeping up to date (as I hope) with the version of H.G.Muller
  at http://hgm.nubati.net/cgi-bin/gitweb.cgi/xboard.git as he seems to
  be the main maintainer correcting problems and adding features often
  whereas releases of xboard seem to be quite seldom.

  PR:		193272
  Submitted by:	kalten@gmx.at

Changes:
  head/games/Makefile
  head/games/xboard-devel/
  head/games/xboard-devel/Makefile
  head/games/xboard-devel/distinfo
  head/games/xboard-devel/files/
  head/games/xboard-devel/files/OPTION_ZIPPY__patch-xboard.texi
  head/games/xboard-devel/files/patch-Makefile.am
  head/games/xboard-devel/files/patch-xboard.conf.in
  head/games/xboard-devel/pkg-plist
Comment 9 Johan van Selst freebsd_committer 2014-09-11 20:06:18 UTC
Committed now, following the update to games/xboard that was awaiting my approval. Thanks for the hard work Kalten.